net.sf.jasperreports.charts.design

## Class JRDesignTimeSeriesDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignTimeSeriesDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRTimeSeriesDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignTimeSeriesDataset
      extends JRDesignChartDataset
      implements JRTimeSeriesDataset

  Version:
    $Id: JRDesignTimeSeriesDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_TIME_PERIOD`
    `static java.lang.String` | `PROPERTY_TIME_SERIES`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignTimeSeriesDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTimeSeries(int index, JRTimeSeries timeSeries)`
    `void` | `addTimeSeries(JRTimeSeries timeSeries)`
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRTimeSeries[]` | `getSeries()`
    `java.util.List<JRTimeSeries>` | `getSeriesList()`
    `java.lang.Class<?>` | `getTimePeriod()`
    `JRTimeSeries` | `removeTimeSeries(JRTimeSeries timeSeries)`
    `void` | `setTimePeriod(java.lang.Class<?> timePeriod)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_TIME_PERIOD

          public static final java.lang.String PROPERTY_TIME_PERIOD

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_SERIES

          public static final java.lang.String PROPERTY_TIME_SERIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignTimeSeriesDataset

          public JRDesignTimeSeriesDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getSeries

          public JRTimeSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRTimeSeriesDataset`
      Returns:
        an array of `JRTimeSeries` objects representing the series for the Time Series chart
      See Also:
        `JRTimeSeries`

    - #### getSeriesList

          public java.util.List<JRTimeSeries> getSeriesList()

    - #### addTimeSeries

          public void addTimeSeries(JRTimeSeries timeSeries)

    - #### addTimeSeries

          public void addTimeSeries(int index,
                           JRTimeSeries timeSeries)

    - #### removeTimeSeries

          public JRTimeSeries removeTimeSeries(JRTimeSeries timeSeries)

    - #### getTimePeriod

          public java.lang.Class<?> getTimePeriod()

      Specified by:
        `getTimePeriod` in interface `JRTimeSeriesDataset`
      Returns:
        the time period. Specifies the type of the data series inside the dataset. Time series can contain numeric values associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### setTimePeriod

          public void setTimePeriod(java.lang.Class<?> timePeriod)

      Specified by:
        `setTimePeriod` in interface `JRTimeSeriesDataset`
      Parameters:
        `timePeriod` - the time period associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com